Last Comment Bug 560885 - Add Australian CGDNs to PSL
: Add Australian CGDNs to PSL
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-21 09:52 PDT by Gervase Markham [:gerv]
Modified: 2010-06-18 12:01 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.4-fixed
.11-fixed


Attachments
Patch v.1 (578 bytes, patch)
2010-04-23 08:20 PDT, Gervase Markham [:gerv]
pkasting: review+
dveditz: approval1.9.2.4+
mbeltzner: approval1.9.1.11+
Details | Diff | Splinter Review

Description Gervase Markham [:gerv] 2010-04-21 09:52:57 PDT
Ian McFarlane writes:

Although the Australian regional .edu and .gov TLDs are covered by the Public Suffix List, there are other regional variants which are not. These are CGDN's ("community geographic domain names").

Example: vic.au:

This Google search shows a number of these:
http://www.google.com/search?q=site:vic.au

References:
http://en.wikipedia.org/wiki/.au#Community_geographic_domain_names
http://www.aucd.org.au/resources/communitywebsites/

List of CGDN's:

act.au
nsw.au
qld.au
sa.au
tas.au
vic.au
wa.au

This may or may not be a complete list - Northern Territory doesn't appear to have its own CGDN. I would recommend contacting them to verify.

Regards

Ian Macfarlane
Comment 1 Gervase Markham [:gerv] 2010-04-23 08:20:22 PDT
Created attachment 441042 [details] [diff] [review]
Patch v.1

I added nt.au for completeness. I strongly suspect it's just that no-one has registered one yet. 

Gerv
Comment 2 Gervase Markham [:gerv] 2010-04-28 03:37:49 PDT
http://hg.mozilla.org/mozilla-central/rev/5343d1df1d0b

Gerv
Comment 3 Mike Beltzner [:beltzner, not reading bugmail] 2010-05-25 12:44:35 PDT
Comment on attachment 441042 [details] [diff] [review]
Patch v.1

a=beltzner for mozilla-1.9.1 (default) and mozilla-1.9.2 (default)
Comment 5 christian 2010-06-10 16:26:10 PDT
This was approved for GECKO1924_20100413_RELBRANCH on mozilla-1.9.2 as well, so that we can pick the fix up if we do build #7.

Note You need to log in before you can comment on or make changes to this bug.